2019-11-17 14:28 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000739Spring engineGeneralpublic2008-02-08 20:49
Reporterimbaczek 
Assigned ToAuswaschbar 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000739: hosted replays have a bug
Descriptiona hosted replay doesn't get through choose start position/waiting for players state.
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0001618

el_matarife (reporter)

Last edited: 2008-01-01 16:52

I suggest this be changed to BLOCKING status if it hasn't been fixed. SVN revision 5178 is listed as an attempt to fix it, it should probably be tested at the 7PM GMT test group.

~0001627

imbaczek (reporter)

i don't think this should block; this doesn't affect the possibility of watching demos, it only makes it impossible to watch demos with several people at once. IMHO this can wait for a while (especially that Auswaschbar machine broke down.)

~0001628

tvo (reporter)

Upgrading to major cause it is indeed bigger then minor.
Not worth blocking the release tho, as imbaczek said, in my experience replay hosting isn't used that often anyway.

~0001649

Auswaschbar (reporter)

Its still not working with current rev?

~0001655

LordMatt (reporter)

Well I could use one, but it didn't wait until everyone was ready to start, it just started right away (and had a long countdown to -60+), but that is mainly a cosmetic bug.

~0001656

Auswaschbar (reporter)

It was supposed to wait until all players have finished loading and start right after that. Did it that or did it start earlier?

Did the demo run while the countdown was active?

~0001661

LordMatt (reporter)

Well basically the countdown happens from the very beginning, rather than only starting when all players have readied up (as before). So it gets to a very high negative value before the demo actually starts playing (i.e. people start moving their commanders around).

~0001702

Auswaschbar (reporter)

Please retest r5255

~0001705

imbaczek (reporter)

doesn't work as of r5257, still doesn't go past 'choose start pos' here.

~0001706

Auswaschbar (reporter)

Did you show up as a spectator in the playerlist?

~0001707

imbaczek (reporter)

I did, but not the players that were actually playing in the demoed game.

Also, the start positions widget (or what it is) isn't drawing all start positions (and doesn't draw the same positions for all players.)

~0001733

Auswaschbar (reporter)

Update:
From rev5727 it should go like the following:
Host start
-> waits till all clients have finished loading
-> It should print "Starting demo playback..." then
-> demo should start

I *really* hope that it now works like described

PS.: Since the demo contains the loading time inside it can take some time until something happens on the screen

PPS.: I can't implement a wait until "ready-up" now because of engine limitations (all spectators are in team 0 (and ready is a team value))

~0001739

imbaczek (reporter)

it sortof works now - demo playback is fine.

what's wrong now:
- two end game windows appear
- if you play back a rerecorded demo (example attached), it'll play faster than normal (twice the speed?)

~0001748

Auswaschbar (reporter)

Two gameend windows got fixed

Issue left:
To fast replay of rerecorded demos

~0001949

Auswaschbar (reporter)

Should be fixed with latest changes (rev 5468)
+Notes

-Issue History
Date Modified Username Field Change
2007-12-30 18:36 imbaczek New Issue
2008-01-01 16:52 el_matarife Note Added: 0001618
2008-01-01 16:52 el_matarife Note Edited: 0001618
2008-01-01 20:07 imbaczek Note Added: 0001627
2008-01-01 20:12 tvo Note Added: 0001628
2008-01-01 20:12 tvo Severity minor => major
2008-01-02 18:34 Auswaschbar Note Added: 0001649
2008-01-02 19:53 LordMatt Note Added: 0001655
2008-01-02 20:02 Auswaschbar Note Added: 0001656
2008-01-02 21:02 LordMatt Summary hosted replays don't work => hosted replays have a bug
2008-01-02 21:04 LordMatt Note Added: 0001661
2008-01-04 15:43 Auswaschbar Note Added: 0001702
2008-01-04 17:41 imbaczek Note Added: 0001705
2008-01-04 17:44 Auswaschbar Note Added: 0001706
2008-01-04 18:10 imbaczek Note Added: 0001707
2008-01-05 17:50 Auswaschbar Note Added: 0001733
2008-01-06 00:38 imbaczek Note Added: 0001739
2008-01-06 00:38 imbaczek File Added: rerecorded.sdf
2008-01-06 17:48 Auswaschbar Note Added: 0001748
2008-01-06 17:48 Auswaschbar Severity major => minor
2008-01-12 13:58 Auswaschbar Status new => assigned
2008-01-12 13:58 Auswaschbar Assigned To => Auswaschbar
2008-02-08 20:49 Auswaschbar Status assigned => resolved
2008-02-08 20:49 Auswaschbar Resolution open => fixed
2008-02-08 20:49 Auswaschbar Note Added: 0001949
+Issue History